import 'package:decimal/decimal.dart';

///克转吨
String? formatgToT(int? g, {String? def}) {
  if (g == null) return def;
  if (g == 0) return '0.00';
  return (Decimal.fromInt(g) / Decimal.fromInt(1000 * 1000)).toStringAsFixed(2);
}

//将吨转成克
int? parseTTog(String? input, {int? def}) {
  if (input == null) return def;
  try {
    return (Decimal.parse(input) * Decimal.fromInt(1000 * 1000)).toInt();
  } catch (e) {
    return def;
  }
}
